Subject: Re: bug#19064: bug#17272: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: João Távora <[email-masked]>
Date: Tue, 19 Nov 2019 11:11:35 +0000

Hello everyone,

I can't confirm 100% if this is the right bug to report this to, but the
recent changes by Juri, which make yes-or-no-p use the minibuffer for
reading,  break fido-mode's icomplete-magic-kill command (apologies if
that's not the exact name).

That command prompts the user for confirmation before attempting a file
deletion or buffer kill. This is done inside the minibuffer.

I haven't followed the whole discussion so I don't know if you're aware of
this problem. Either way, is there an alternative for modes such as
fido-mode?

Thanks,
João

On Tue, Nov 19, 2019, 08:14 Lars Ingebrigtsen <[email-masked]> wrote:

> Juri Linkov <[email-masked]> writes:
>
> > The variable name is ‘message-in-echo-area’.  After a little testing,
> > it seems to handle all such cases well:
>
> I have not tested the patch, but it looks good to me.  Tiny comment:
>
> >  usage: (message FORMAT-STRING &rest ARGS)  */)
> >    (ptrdiff_t nargs, Lisp_Object *args)
> > +{
> > +  if (NILP (Vmessage_in_echo_area)
>
> The doc string of `message' (and documentation) should mention this
> variable, and this should also be mentioned in NEWS.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>
>
>
>